#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/class/ruby.rb'
# =========================================================================== #
module EnvironmentInformation

class EnvironmentInformation

  # ========================================================================= #
  # === dont_show_ruby_stuff
  #
  # Disable showing ruby + gem information.
  # ========================================================================= #
  def dont_show_ruby_stuff # Dont show ruby stuff.
    @show_ruby_version_and_gem_version = false
  end; alias show_no_ruby dont_show_ruby_stuff # === show_no_ruby

  # ========================================================================= #
  # === return_all_ruby_components
  #
  # Combine three calls into one here - all related to ruby.
  # ========================================================================= #
  def return_all_ruby_components
    %i(
      ruby
      rubygems
      rubygems_installation_directory
    )
  end

  # ========================================================================= #
  # === consider_adding_the_ruby_components
  #
  # This method can be used to consider adding the ruby-components,
  # which means "ruby" itself, rubygems "gem", and the rubygems
  # installation directory.
  # ========================================================================= #
  def consider_adding_the_ruby_components
    if @show_ruby_version_and_gem_version
      add(
        return_all_ruby_components # Combine three calls into one here - all related to ruby.
      )
    end
  end

  # ========================================================================= #
  # === do_not_show_the_ruby_components
  # ========================================================================= #
  def do_not_show_the_ruby_components
    @show_ruby_version_and_gem_version = false
  end; alias do_not_display_the_ruby_components do_not_show_the_ruby_components # === do_not_display_the_ruby_components

  # ========================================================================= #
  # === return_version_of_rubygems?
  # ========================================================================= #
  def return_version_of_rubygems?
    ::EnvironmentInformation.send(__method__)
  end; alias return_version_of_rubygems return_version_of_rubygems? # == return_version_of_rubygems

  # ========================================================================= #
  # === return_version_of_ruby?
  # ========================================================================= #
  def return_version_of_ruby?
    ::EnvironmentInformation.send(__method__)
  end; alias return_version_of_ruby return_version_of_ruby? # == return_version_of_ruby

end; end