#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/class/run.rb'
# =========================================================================== #
module EnvironmentInformation

class EnvironmentInformation # === EnvironmentInformation::EnvironmentInformation

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    # ======================================================================= #
    # (1) Try to rename the KDE konsole first. This will happen on
    #     roebe-systems only.
    # ======================================================================= #
    do_rename_kde_konsole
    # ======================================================================= #
    # Only enter the report-section if we do NOT want to exit early.
    # ======================================================================= #
    do_show_help if @show_help
    # ======================================================================= #
    # ^^^ This check happens here again because menu() is allowed to
    # toggle this variable.
    # ======================================================================= #
    if @display_everything_in_short_format
      assign_components_for_the_short_format # Handle the short format here.
    end
    do_sort_alphabetically if @sort_alphabetically # ← Must come before the report-step.
    unless @do_exit_the_program
      # ===================================================================== #
      # We may only display the components if @display_result is true.
      # ===================================================================== #
      report if @display_result
    end
    # ======================================================================= #
    # Next check whether we should generate a .html file. This check
    # should come before we generate other local files.
    # ======================================================================= #
    do_generate_a_html_file if @generate_a_html_file
    if commandline? and @store_the_results_into_local_files
      # ===================================================================== #
      # Only store local files if the variable 
      # @store_the_results_into_local_files is true.
      # ===================================================================== #
      consider_storing_the_components_that_were_displayed
      consider_storing_which_programs_are_not_up_to_date
    end
  end; alias feedback_everything    run # === feedback_everything
       alias do_feedback_everything run # === do_feedback_everything 
       alias output                 run # === output
       alias feedback               run # === feedback

end; end