#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/constants/file_constants.rb'
# =========================================================================== #
require 'environment_information/project/project.rb'

module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation::FILE_ARRAY_TRACKED_PROGRAMS
  # ========================================================================= #
  FILE_ARRAY_TRACKED_PROGRAMS =
    "#{PROJECT_BASE_DIRECTORY}yaml/array_tracked_programs.yml"

  # ========================================================================= #
  # === EnvironmentInformation::FILE_ARRAY_DEFAULT_PROGRAMS_ON_LINUX
  # ========================================================================= #
  FILE_ARRAY_DEFAULT_PROGRAMS_ON_LINUX =
    "#{PROJECT_BASE_DIRECTORY}yaml/array_default_programs_on_linux.yml"

  # ========================================================================= #
  # === EnvironmentInformation::FILE_ARRAY_TRACKED_NON_PROGRAMS
  # ========================================================================= #
  FILE_ARRAY_TRACKED_NON_PROGRAMS =
    "#{PROJECT_BASE_DIRECTORY}yaml/array_tracked_non_programs.yml"

  # ========================================================================= #
  # === EnvironmentInformation::FILE_ARRAY_TRACKED_XORG_COMPONENTS
  # ========================================================================= #
  FILE_ARRAY_TRACKED_XORG_COMPONENTS =
    "#{PROJECT_BASE_DIRECTORY}yaml/array_tracked_xorg_components.yml"

  # ========================================================================= #
  # === EnvironmentInformation::FILE_ARRAY_LFS_CORE_PROGRAMS
  # ========================================================================= #
  FILE_ARRAY_LFS_CORE_PROGRAMS =
    "#{PROJECT_BASE_DIRECTORY}yaml/array_lfs_core_programs.yml"

  # ========================================================================= #
  # === EnvironmentInformation::FILE_ARRAY_SCIENCE_CLUSTER
  # ========================================================================= #
  FILE_ARRAY_SCIENCE_CLUSTER =
    "#{PROJECT_BASE_DIRECTORY}yaml/array_science_cluster.yml"

  # ========================================================================= #
  # === EnvironmentInformation::FILE_QUERY_TO_USE_FOR_THE_INDIVIDUAL_COMPONENTS
  # ========================================================================= #
  FILE_QUERY_TO_USE_FOR_THE_INDIVIDUAL_COMPONENTS = 
    "#{PROJECT_BASE_DIRECTORY}yaml/query_to_use_for_the_individual_components.yml"

  # ========================================================================= #
  # === FILE_THESE_PROGRAMS_CAN_BE_UPGRADED
  #
  # We may store which programs could be upgraded into a local file.
  # ========================================================================= #
  FILE_THESE_PROGRAMS_CAN_BE_UPGRADED =
    'these_programs_can_be_upgraded.yml'

end