#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/constants/misc.rb'
# =========================================================================== #
require 'environment_information/constants/temp_directory.rb'

module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation::VERSION_STRING
  # ========================================================================= #
  VERSION_STRING = 'version'

  # ========================================================================= #
  # === EnvironmentInformation::UTF_ENCODING
  # ========================================================================= #
  UTF_ENCODING = 'UTF-8'

  # ========================================================================= #
  # === EnvironmentInformation::MAIN_ENCODING
  # ========================================================================= #
  MAIN_ENCODING = UTF_ENCODING

  # ========================================================================= #
  # === EnvironmentInformation::NOT_FOUND
  # ========================================================================= #
  NOT_FOUND = 'not found'

  # ========================================================================= #
  # === EnvironmentInformation::NOT_FOUND_IN_PKG_CONFIG_SEARCH_PATH
  # ========================================================================= #
  NOT_FOUND_IN_PKG_CONFIG_SEARCH_PATH =
    'as not found in the pkg-config search path'

  # ========================================================================= #
  # === EnvironmentInformation::COMMAND_NOT_FOUND
  # ========================================================================= #
  COMMAND_NOT_FOUND =
    'command not found'

  # ========================================================================= #
  # === EnvironmentInformation::PKGCONFIG_COMMAND_NOT_FOUND
  #
  # The constant that follows next is used to determine whether
  # pkg-config could find a corresponding .pc file. If not then
  # pkg-config will typically report a line such as this:
  #
  #   Package libdr was not found in the pkg-config search path.
  #
  # We will include the last part of this string, as a generic
  # message that can be used to indicate "this package could
  # not be found on the given computer system at hand".
  # ========================================================================= #
  PKGCONFIG_COMMAND_NOT_FOUND =
    ' was not found in the pkg-config search path.'

  # ========================================================================= #
  # === EnvironmentInformation::NO_SUCH_FILE_OR_DIRECTORY
  # ========================================================================= #
  NO_SUCH_FILE_OR_DIRECTORY =
    'No such file or directory'

  # ========================================================================= #
  # === EnvironmentInformation::SAVE_FILE
  #
  # Where to save stuff to. This depends on a proper setting of the
  # toplevel variable called @temp_directory.
  # ========================================================================= #
  SAVE_FILE =
    "#{@temp_directory}EnvironmentInformation.md"

end