#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/misc_components/cflags.rb'
# =========================================================================== #
module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.cflags?                           (cflags tag)
  #
  # The following is equivalent to the value stored in the variable
  # $CFLAGS, which on unix-like systems may be obtained by issuing
  # the following command:
  #
  #     echo $CFLAGS
  #
  # ========================================================================= #
  def self.cflags?
    version = ENV['CFLAGS'].to_s.strip
    version = '<none>' if version.empty? # Display special status if it is empty.
    version
  end; self.instance_eval { alias cflags_in_use?           cflags? } # === EnvironmentInformation.cflags_in_use?
       self.instance_eval { alias return_version_of_cflags cflags? } # === EnvironmentInformation.return_version_of_cflags
       self.instance_eval { alias cflags                   cflags? } # === EnvironmentInformation.cflags

end

if __FILE__ == $PROGRAM_NAME
  puts EnvironmentInformation.cflags?
end