#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/misc_components/operating_system.rb'
# =========================================================================== #
require 'environment_information/constants/newline.rb'
require 'environment_information/constants/error_line.rb'

module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.operating_system_bit_type_information (bit tag, bit type tag)
  #
  # This method will return the bit type in use, as a String,
  # such as "x86_64".
  # ========================================================================= #
  def self.operating_system_bit_type_information
    cmd = 'uname -m'
    result = `#{cmd}`.chomp
    result = result.split(' ')[-1] if result.include?(' ')
    result = result.dup if result.frozen?
    case result
    when 'x86_64'
      result << ' (64 bit)'
    end
    result
  end; self.instance_eval { alias add_bit_type_information                    operating_system_bit_type_information } # === EnvironmentInformation.add_bit_type_information
       self.instance_eval { alias add_operating_system_bit_type               operating_system_bit_type_information } # === EnvironmentInformation.add_operating_system_bit_type
       self.instance_eval { alias bit_type?                                   operating_system_bit_type_information } # === EnvironmentInformation.bit_type?
       self.instance_eval { alias return_version_of_operating_system_bit_type operating_system_bit_type_information } # === EnvironmentInformation.return_version_of_operating_system_bit_type
       self.instance_eval { alias operating_system_bit_type?                  operating_system_bit_type_information } # === EnvironmentInformation.operating_system_bit_type?
       self.instance_eval { alias operating_system_bit_type                   operating_system_bit_type_information } # === EnvironmentInformation.operating_system_bit_type

end

if __FILE__ == $PROGRAM_NAME
  puts EnvironmentInformation.operating_system_bit_type_information
end