#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/misc_components/ram.rb'
# =========================================================================== #
module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.ram?                                 (ram tag)
  #
  # This method will determine how much RAM the given computer host has.
  #
  # The result will be given in n MB.
  # ========================================================================= #
  def self.ram?
    result_in_n_mb = `free -m 2>&1`.split("\n")[1]
    if result_in_n_mb and result_in_n_mb.include?(' ')
      result_in_n_mb = result_in_n_mb.split(' ')[1]
    end
    result_in_n_mb
  end; self.instance_eval { alias return_version_of_ram ram? } # === EnvironmentInformation.return_version_of_ram
       self.instance_eval { alias ram                   ram? } # === EnvironmentInformation.ram

end

if __FILE__ == $PROGRAM_NAME
  puts EnvironmentInformation.ram?
end