#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/requires/require_the_individual_components.rb'
# =========================================================================== #
require 'environment_information/constants/array_tracked_components.rb'

module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.require_all_individual_components
  #
  # This method can be used to load all the individual components that
  # are part of the EnvironmentInformation project.
  # ========================================================================= #
  def self.require_all_individual_components

    # ======================================================================= #
    # Batch-require the components in the misc_components/ directory next:
    # ======================================================================= #
    tracked_non_programs?.each {|this_component|
      require "environment_information/misc_components/#{this_component}.rb"
    }

  end

  require_all_individual_components

end