#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/toplevel_methods/internet_is_available.rb'
# =========================================================================== #
module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.internet_is_available?
  # ========================================================================= #
  def self.internet_is_available?
    require 'resolv'
    dns_resolver = Resolv::DNS.new
    begin
      # ===================================================================== #
      # The first domain name ever. Will probably not be removed.
      # ===================================================================== #
      dns_resolver.getaddress('symbolics.com')
      return true
    rescue Resolv::ResolvError => _error
      return false
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  puts EnvironmentInformation.internet_is_available?
end