#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/toplevel_methods/register_this_component_is_missing.rb'
# EnvironmentInformation.register_this_component_is_missing
# =========================================================================== #
module EnvironmentInformation

  # ========================================================================= #
  # === @array_this_component_is_missing
  #
  # This Array keeps track of all components that are missing on the
  # given system.
  # ========================================================================= # 
  @array_this_component_is_missing = []
  
  # ========================================================================= #
  # === EnvironmentInformation.which_components_are_missing?
  # ========================================================================= # 
  def self.which_components_are_missing?
    @array_this_component_is_missing
  end; self.instance_eval { alias missing_components? which_components_are_missing? } # === EnvironmentInformation.missing_components?

  # ========================================================================= #
  # === EnvironmentInformation.register_this_component_is_missing
  # ========================================================================= # 
  def self.register_this_component_is_missing(i)
    if i.is_a? Symbol
      copy = i.to_s
      if copy.include?('_')
        i = copy.split('_').last.to_sym
      end
    end
    i = i.to_sym unless i.is_a? Symbol
    # ======================================================================= #
    # Do not register the same missing component twice:
    # ======================================================================= #
    unless @array_this_component_is_missing.include? i
      @array_this_component_is_missing << i
    end
  end

  # ========================================================================= #
  # === EnvironmentInformation.is_this_component_missing?
  # ========================================================================= #
  def self.is_this_component_missing?(i)
    !@array_this_component_is_missing.include?(i)
  end

end