#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'environment_information/toplevel_methods/remote_url_of_this_program.rb'
# =========================================================================== #
module EnvironmentInformation

  # ========================================================================= #
  # === EnvironmentInformation.return_remote_url_of_this_program
  #
  # This method will try to return the remote URL of the given program.
  #
  # Note that this functionality depends on the RBT project, which
  # explains the rescued required statement in the method.
  # ========================================================================= #
  def self.return_remote_url_of_this_program(i = ARGV)
    if i.is_a? Array
      i = i.first
    end
    begin
      require 'rbt/utility_scripts/url.rb'
      i = RBT.return_url1_of_this_program(i)
    rescue LoadError; end
    i
  end

  # ========================================================================= #
  # === EnvironmentInformation.show_remote_url_of_this_program
  #
  # This method will try to show the remote URL of the given program.
  # ========================================================================= #
  def self.show_remote_url_of_this_program(i = ARGV)
    puts return_remote_url_of_this_program(i)
  end

end

if __FILE__ == $PROGRAM_NAME
  EnvironmentInformation.show_remote_url_of_this_program(ARGV)  
end # rb remote_url_of_this_program.rb glib