# -*- encoding: utf-8 -*-
# stub: environment_information 1.3.11 ruby lib

Gem::Specification.new do |s|
  s.name = "environment_information".freeze
  s.version = "1.3.11"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.1.2".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2020-02-21"
  s.description = "\nThe gem environment_information is able to provide information about the\ncomputer host system, in particular on Linux systems, if ruby is available\non that computer. Commonly used programs will be queried for their current\nversion number (and whether they exist) on the target computer. If these\nprograms do happen to exist then the corresponding version will be\ndisplayed, on the commandline.\n\nThis is somewhat similar to the \"Linux from Scratch\" project, which uses\na shell script to display the version of many commonly used programs.\nAs I prefer ruby over shell scripts, I wrote this somewhat equivalent\nproject.\n\nFor more information and documentation about this project, consider\nlooking at the homepage of this gem, at\n\n  https://rubygems.org/gems/environment_information\n\nand look at the documentation on the bottom right side,\ncalled \"Documentation\".\n\n".freeze
  s.email = "shevegen@gmail.com".freeze
  s.executables = ["fast_envi".freeze, "envi".freeze]
  s.files = ["bin/envi".freeze, "bin/fast_envi".freeze]
  s.homepage = "http://rubygems.org/gems/environment_information".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "\nYou can run this little script by issuing:\n\n    envi\n\non the commandline. (The script envi is part of this gem and can\nbe found at the subdirectory bin/envi of the gem.)\n\nWithin ruby code, you can require the project and then display\ninformation too, via:\n\n    require 'environment_information'\n    EnvironmentInformation.run\n\nFor the (documented) options, you can do either of the following:\n\n    envi --help\n    envi HELP\n\nThis will feedback the options that are available.\n\nTo get the full output of just about every program that is checked\nby this gem, try any of the following invocation:\n\n    envi --all\n    envi ALL\n\n(Lowercase works fine just as well. The commandline options that\ninclude two '-' characters are, internally, the preferred variants.)\n\nTo obtain an individual entry, do something such as this:\n\n    envi gtk\n    envi pango\n    envi gcr\n\nTo disable colours, do either one of these:\n\n    envi --nocolours\n    envi --no-colours\n    envi --no-colors\n    envi --nocolors\n    envi nocolours\n    envi NOCOLOURS\n\n(Both UK and US spelling is supported, so colour works just as\nwell as color.)\n\nIf all of this may become too tedious to type, I just use an\nalias called ALL, which stands short for \"envi all\" or \n\"envi show_all\".\n\nAnother option, both of which are synonymous to each other,\nis to compare all existing programs on a given host system\nwith the version registered in the RBT project:\n\n    envi ALL REALLY_ALL\n    envi --compare_programs\n    envi compare_programs\n\nIf you wish to show only the OS information, do:\n\n    envi --os?\n\nFor more documentation about the project, have a look at:\n\n    http://www.rubydoc.info/gems/environment_information/1.3.11\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "The gem environment_information is able to provide information about the computer host system, in particular on Linux systems, if ruby is available on that computer. Commonly used programs will be queried for their current version number (and whether they exist) on the target computer. If these programs do happen to exist then the corresponding version will be displayed, on the commandline.  This is somewhat similar to the \"Linux from Scratch\" project, which uses a shell script to display the version of many commonly used programs. As I prefer ruby over shell scripts, I wrote this somewhat equivalent project.  For more information and documentation about this project, consider looking at the homepage of this gem, at  https://rubygems.org/gems/environment_information  and look at the documentation on the bottom right side, called \"Documentation\".".freeze

  s.installed_by_version = "3.1.2" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
  else
    s.add_dependency(%q<colours>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
  end
end
